<?php

namespace lib\Entities;

use lib\Entities\CommonEntity as Entity;
use lib\Models\ClientModel as Model;

class ClientEntity extends Entity
{
    const PKField = Model::PKField;
    const TitleField = Model::TitleField;
    const PairField = Model::PairField;
    public function __construct($datas)
    {
        parent::__construct($datas);
    } //
    public function getClientCode(): string
    {
        return $this->Client_Code;
    }
    public function getPhone(string $field = "", string $delimeter = ","): string
    {
        return $field ? $this->$field : "{$this->Client_Phone1}  {$delimeter} {$this->Client_Phone2}";
    }
    public function getEmail(string $field = "", string $delimeter = ","): string
    {
        return $field ? $this->$field : "{$this->Client_EMail1} {$delimeter} {$this->Client_EMail2}";
    }
    public function getNote(): string
    {
        return $this->Client_Note;
    }
    public function getPoint(): string
    {
        return $this->Client_Point;
    }
} //Class
